List Users in an Organization

Returns Users in the Organization by the specified sorting order and filtering. Several filtering, sorting, and pagination options are available.

Rate limit category: Fast API

Path Params
string
required

Organization ID.

Query Params
effective_role
array of objects

Filter to limit the roles to be listed. If not specified, everyone is listed.

Possible values:

  • org_owner – Organization Owner.
  • org_admin – Organization Administrator.
  • space_admin – Space Administrator.
  • hub_admin – User Group Administrator.
  • hub_member – User Group Member.
effective_role
string
enum

Sort option. If not specified, name is used.

Possible values:

  • name – Sort by name in ascending order.
  • -name – Sort by name in descending order.
  • email – Sort by email in ascending order.
  • -email – Sort by email in descending order.
  • date_last_activity – Sort by date last activity in ascending order.
  • -date_last_activity – Sort by date last activity in descending order.
  • date_joined – Sort by date joined in ascending order.
  • -date_joined – Sort by date joined in descending order.
  • num_started_speeches – Sort by number of started speeches in ascending order.
  • -num_started_speeches – Sort by number of started speeches in descending order.
string

Start index of the list. If not specified, 0 is used.

string

Maximum number of elements in paginated response. Maximum is 1000. If not specified, 20 is used as the default value.

string

Filter to users who have this prefix for sorting field. This currently works only when sort is email or -email. The primary usage is to search for a single user by email address.

field
array of objects

Optional fields to output. Specify only when needed because additional fields increase response time.

Possible values:

  • hubs – Include the information of the User Groups which the user belongs to.
field
Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json